<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>tst</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.8.0/styles/github.min.css" />
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/diff2html/bundles/css/diff2html.min.css" />
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/diff2html/bundles/js/diff2html-ui.min.js"></script>
    <script>
        document.addEventListener('DOMContentLoaded', async () => {
            const targetElement = document.getElementById('diff-root') || document.body;
            const query = new URLSearchParams(this.location.search);
            const file = query.get('file');
            if (!file) {
                targetElement.innerText = 'missing ?file query parameter in url';
                return;
            }
            const response = await fetch(`./${file}`);
            if (!response.ok) {
                targetElement.innerText = `fetching diff failed: ${response.status} ${response.statusText}`;
                return;
            }
            const diffString = await response.text();
            const configuration = { drawFileList: true, matching: 'lines', encoding: 'utf-8' };
            const diff2htmlUi = new Diff2HtmlUI(targetElement, diffString, configuration);
            diff2htmlUi.draw();
            diff2htmlUi.highlightCode();
        });
    </script>
</head>
<body>
    <div id="diff-root"></div>
</body>
</html>
